<div
  class="region-of-interest-container"
  [ngClass]="{'single-selected-option': selectedRoi}">
  <mat-checkbox
      class="region-of-interest-item"
      color="primary"
      [value]="jobRoiEntity.job.id"
      [checked]="selected"
      (change)="onCheckboxChange($event)">
  </mat-checkbox>
  <b
    class="region-of-interest-item text-clamp"
    [ngClass]="selected ? 'clickable' : 'disabled'"
    [matTooltip]="jobRoiEntity.roi | annotationToString"
    [appCopyToClipboard]="jobRoiEntity.roi"
    (click)="onRoiClicked(jobRoiEntity.roi.id)">
    {{(jobRoiEntity.roi?.name | uppercase)}}
  </b>
  <app-job-status
    class="region-of-interest-item"
    [appCopyToClipboard]="jobRoiEntity.job"
    [matTooltip]="jobRoiEntity.job | jobToString"
    [jobStatus]="jobRoiEntity.job.status">
  </app-job-status>
  <button
      class="region-of-interest-item"
      mat-icon-button
      matTooltip="Zoom to region of interest"
      [disabled]="!selected"
      (click)="zoomToAnnotation.emit(jobRoiEntity.roi)">
      <mat-icon>filter_center_focus</mat-icon>
  </button>
</div>
